> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plugkit.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Promote an existing Page post: creates the campaign, ad set and ad in one call



## OpenAPI

````yaml /api-reference/openapi.json post /v1/ads/{accountId}/boost
openapi: 3.0.0
info:
  title: PlugKit API
  description: >-
    One API to publish, schedule and message across Instagram, WhatsApp, TikTok,
    Telegram, YouTube and X.
  version: 1.0.0
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/ads/{accountId}/boost:
    post:
      tags:
        - ads
      summary: >-
        Promote an existing Page post: creates the campaign, ad set and ad in
        one call
      operationId: AdsController_boostPost
      parameters:
        - name: accountId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BoostPostDto'
      responses:
        '200':
          description: ''
      security:
        - api-key: []
components:
  schemas:
    BoostPostDto:
      type: object
      properties:
        postId:
          type: string
          description: Page post to promote, as `{page-id}_{post-id}`.
          example: 123456789_987654321
        dailyBudget:
          type: number
          description: Daily budget in minor units of the account currency (2000 = €20.00).
          example: 2000
        days:
          type: number
          description: Run duration in days (default 7).
        countries:
          example:
            - FR
            - BE
          type: array
          items:
            type: string
        ageMin:
          type: number
          example: 18
        ageMax:
          type: number
          example: 65
        name:
          type: string
        status:
          type: string
          enum:
            - ACTIVE
            - PAUSED
          description: 'PAUSED by default: nothing spends without an explicit go.'
      required:
        - postId
        - dailyBudget
  securitySchemes:
    api-key:
      scheme: bearer
      bearerFormat: sk_...
      type: http

````